Skip to main content
GET
/
workspaces
/
{workspace_id}
/
agent-models
Error
A valid request URL is required to generate request examples
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "custom_provider_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "model_provider": "<string>",
      "model_name": "<string>",
      "model_metadata": {}
    }
  ],
  "next_cursor": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

workspace_id
string<uuid>
required

Response

Successful Response

List catalog entries with pagination.

items
AgentCatalogRead · object[]
required
next_cursor
string | null